package src;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
import java.util.ArrayList;
/**
 *
 * @author Daniel
 */
public class BancoMain {


    private static void carga_datos(Sucursal suc)
    {

    ArrayList<Cuentas> AP=new ArrayList<Cuentas>();
    LibretaAhorro p1=new LibretaAhorro();
    p1.setnumero_cuenta("20984002161000015263");
    p1.setNombre_cliente("Julian Martinez Morillas");
    p1.setSaldo_cuenta(300);
    p1.setId_cliente("27851488V");
    p1.settipoCuenta(1);
    AP.add(p1);
    LibretaAhorro p2=new LibretaAhorro();
    p2.setnumero_cuenta("20984002181000015264");
    p2.setNombre_cliente("Sebastian Amaro Hinojosa");
    p2.setSaldo_cuenta(300);
    p2.setId_cliente("25361412B");
    p2.settipoCuenta(1);
    AP.add(p2);
    LibretaAhorro p3=new LibretaAhorro();
    p3.setnumero_cuenta("20984002141000015265");
    p3.setNombre_cliente("Daniel Blanco Loro");
    p3.setSaldo_cuenta(300);
    p3.setId_cliente("25361488V");
    p3.settipoCuenta(1);
    AP.add(p3);
    LibretaAhorro p4=new LibretaAhorro();
    p4.setnumero_cuenta("20984002131000015266");
    p4.setNombre_cliente("Alicia Rivas Cano");
    p4.setSaldo_cuenta(300);
    p4.setId_cliente("25312478Z");
    p4.settipoCuenta(1);
    AP.add(p4);
    LibretaAhorro p5=new LibretaAhorro();
    p5.setnumero_cuenta("20984002151000015267");
    p5.setNombre_cliente("Julia Morente Castro");
    p5.setSaldo_cuenta(300);
    p5.setId_cliente("25378478X");
    p5.settipoCuenta(1);
    AP.add(p5);
    LibretaAhorro p6=new LibretaAhorro();
    p6.setnumero_cuenta("20984002181000015268");
    p6.setNombre_cliente("Antonio Recio Odon");
    p6.setSaldo_cuenta(300);
    p6.setId_cliente("25356478Q");
    p6.settipoCuenta(1);
    AP.add(p6);
    LibretaAhorro p7=new LibretaAhorro();
    p7.setnumero_cuenta("20984002191000015269");
    p7.setNombre_cliente("Luisa Fernandez Ruiz");
    p7.setSaldo_cuenta(300);
    p7.setId_cliente("25342478W");
    p7.settipoCuenta(1);
    AP.add(p7);
    LibretaAhorro p8=new LibretaAhorro();
    p8.setnumero_cuenta("20984002141000015270");
    p8.setNombre_cliente("Antonio Martin Ares");
    p8.setSaldo_cuenta(300);
    p8.setId_cliente("25312478E");
    p8.settipoCuenta(1);
    AP.add(p8);
    LibretaAhorro p9=new LibretaAhorro();
    p9.setnumero_cuenta("20984002151000015271");
    p9.setNombre_cliente("Gabriel Mercado Condal");
    p9.setSaldo_cuenta(300);
    p9.setId_cliente("24566178R");
    p9.settipoCuenta(1);
    AP.add(p9);
    LibretaAhorro p10=new LibretaAhorro();
    p10.setnumero_cuenta("20984002181000015272");
    p10.setNombre_cliente("Pedro Villar Torres");
    p10.setSaldo_cuenta(300);
    p10.setId_cliente("23261478A");
    p10.settipoCuenta(1);
    AP.add(p10);
    CuentaCorriente p11=new CuentaCorriente();
    p11.setnumero_cuenta("20984002171000015273");
    p11.setNombre_cliente("Maria Castilla Ramos");
    p11.setSaldo_cuenta(300);
    p11.setId_cliente("26861478T");
    p11.settipoCuenta(2);
    AP.add(p11);
    CuentaCorriente p12=new CuentaCorriente();
    p12.setnumero_cuenta("20984002131000015274");
    p12.setNombre_cliente("Isabel Torres Ruiz");
    p12.setSaldo_cuenta(300);
    p12.setId_cliente("29961478D");
    p12.settipoCuenta(2);
    AP.add(p12);
    CuentaCorriente p13=new CuentaCorriente();
    p13.setnumero_cuenta("20984002181000015275");
    p13.setNombre_cliente("Ana Castro Cano");
    p13.setSaldo_cuenta(300);
    p13.setId_cliente("25761478A");
    p13.settipoCuenta(2);
    AP.add(p13);
    CuentaCorriente p14=new CuentaCorriente();
    p14.setnumero_cuenta("20984002171000015276");
    p14.setNombre_cliente("Luis Canseco Roldan");
    p14.setSaldo_cuenta(300);
    p14.setId_cliente("25461478F");
    p14.settipoCuenta(2);
    AP.add(p14);
    CuentaCorriente p15=new CuentaCorriente();
    p15.setnumero_cuenta("20984002181000015277");
    p15.setNombre_cliente("Olivia Martinez Fernandez");
    p15.setSaldo_cuenta(300);
    p15.setId_cliente("45361478H");
    p15.settipoCuenta(2);
    AP.add(p15);
    CuentaCorriente p16=new CuentaCorriente();
    p16.setnumero_cuenta("20981001200002414511");
    p16.setNombre_cliente("Universidad de Huelva");
    p16.setSaldo_cuenta(300);
    p16.setId_cliente("B78361478");
    p16.settipoCuenta(2);
    AP.add(p16);
    CuentaCorriente p17=new CuentaCorriente();
    p17.setnumero_cuenta("20981003821540005128");
    p17.setNombre_cliente("TELEFONICA DE ESPANA, S.A.U.");
    p17.setSaldo_cuenta(300);
    p17.setId_cliente("Z76361478");
    p17.settipoCuenta(2);
    AP.add(p17);
    CuentaCorriente p18=new CuentaCorriente();
    p18.setnumero_cuenta("20980002210007125226");
    p18.setNombre_cliente("Telefónica Moviles");
    p18.setSaldo_cuenta(300);
    p18.setId_cliente("Z13361478");
    p18.settipoCuenta(2);
    AP.add(p18);
    CuentaCorriente p19=new CuentaCorriente();
    p19.setnumero_cuenta("20980002260000564814");
    p19.setNombre_cliente("Canal Satelite Digital, SL");
    p19.setSaldo_cuenta(300);
    p19.setId_cliente("E23361478");
    p19.settipoCuenta(2);
    AP.add(p19);
    CuentaCorriente p20=new CuentaCorriente();
    p20.setnumero_cuenta("20980003410000425188");
    p20.setNombre_cliente("ENDESA ENERGIA XXI, S.L.");
    p20.setSaldo_cuenta(300);
    p20.setId_cliente("F45361478");
    p20.settipoCuenta(2);
    AP.add(p20);
    CuentaCorriente p21=new CuentaCorriente();
    p21.setnumero_cuenta("20980005620000954125");
    p21.setNombre_cliente("El Corte Inglés");
    p21.setSaldo_cuenta(300);
    p21.setId_cliente("G43361478");
    p21.settipoCuenta(2);
    AP.add(p21);
    CuentaCorriente p22=new CuentaCorriente();
    p22.setnumero_cuenta("20984002161000015144");
    p22.setNombre_cliente("Carlos Gandullo Silva");
    p22.setSaldo_cuenta(300);
    p22.setId_cliente("25361477A");
    p22.settipoCuenta(2);
    AP.add(p22);
    CuentaCorriente p23=new CuentaCorriente();
    p23.setnumero_cuenta("20984002181000015254");
    p23.setNombre_cliente("Sebastian Amaro Hinojosa");
    p23.setSaldo_cuenta(300);
    p23.setId_cliente("25361412B");
    p23.settipoCuenta(2);
    AP.add(p23);
    CuentaCorriente p24=new CuentaCorriente();
    p24.setnumero_cuenta("20984002141000015264");
    p24.setNombre_cliente("Daniel Blanco Loro");
    p24.setSaldo_cuenta(300);
    p24.setId_cliente("25361488V");
    p24.settipoCuenta(2);
    AP.add(p24);
    suc.setCuentas(AP);



    CuentaCorriente p25=new CuentaCorriente();
    p25.setnumero_cuenta("20984002100001526311");
    p25.setNombre_cliente("JULIAN MARTINEZ MORILLAS");
    p25.setSaldo_cuenta(300);
    p25.setId_cliente("27851488V");
    p25.settipoCuenta(2);
    AP.add(p25);

    CuentaCorriente p26=new CuentaCorriente();
    p26.setnumero_cuenta("20984002100001526411");
    p26.setNombre_cliente("JAVIER ALVAREZ CEJUDO");
    p26.setSaldo_cuenta(300);
    p26.setId_cliente("25312488V");
    p26.settipoCuenta(2);
    AP.add(p26);

    CuentaCorriente p27=new CuentaCorriente();
    p27.setnumero_cuenta("20984002100001526611");
    p27.setNombre_cliente("ALICIA RIVAS CANO");
    p27.setSaldo_cuenta(300);
    p27.setId_cliente("25312478Z");
    p27.settipoCuenta(2);
    AP.add(p27);
    suc.setCuentas(AP);


    ArrayList<Empleado> E=new ArrayList<Empleado>();

    Empleado e1=new Empleado();
    e1.setIdempleado("111");
    e1.setContraseña("111");
    E.add(e1);

    Empleado e2=new Empleado();
    e2.setIdempleado("222");
    e2.setContraseña("222");
    E.add(e2);

    Empleado e3=new Empleado();
    e3.setIdempleado("333");
    e3.setContraseña("333");
    E.add(e3);

    Empleado e4=new Empleado();
    e4.setIdempleado("444");
    e4.setContraseña("444");
    E.add(e4);

    Empleado e5=new Empleado();
    e5.setIdempleado("555");
    e5.setContraseña("555");
    E.add(e5);

    suc.setMEmpleado(E);

    ArrayList<Cajas> CA=new ArrayList<Cajas>();

    Cajas c1=new Cajas();
    c1.setIdCaja("1");
    c1.setSaldo_ini(2000);
    c1.setSaldo_final(0);
    CA.add(c1);

    Cajas c2=new Cajas();
    c2.setIdCaja("2");
    c2.setSaldo_ini(2000);
    c2.setSaldo_final(0);
    CA.add(c2);

    Cajas c3=new Cajas();
    c3.setIdCaja("3");
    c3.setSaldo_ini(2000);
    c3.setSaldo_final(0);
    CA.add(c3);

    Cajas c4=new Cajas();
    c4.setIdCaja("4");
    c4.setSaldo_ini(2000);
    c4.setSaldo_final(0);
    CA.add(c4);

    Cajas c5=new Cajas();
    c5.setIdCaja("5");
    c5.setSaldo_ini(2000);
    c5.setSaldo_final(0);
    CA.add(c5);

    suc.setMCajas(CA);
    
    
}
    /**
     * @param args the command line arguments
     */
   public static void main(String args[])
   {
        Sucursal suc=new Sucursal();        
        carga_datos(suc);        
        JFrmPrincipal pri=new JFrmPrincipal(suc);
        pri.setLocationRelativeTo(null);
        pri.setVisible(true);
       
    }

}
